---
title: securePasswordKdfAlgoSHA512
description: SHA512 KDF algo
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: securePasswordKdfAlgoSHA512  
[Back to constructors index](index.md)



SHA512 KDF algo

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|salt|[bytes](../types/bytes.md) | Yes|Salt|



### Type: [SecurePasswordKdfAlgo](../types/SecurePasswordKdfAlgo.md)


### Example:

```php
$securePasswordKdfAlgoSHA512 = ['_' => 'securePasswordKdfAlgoSHA512', 'salt' => 'bytes'];
```  


Or, if you're into Lua:

```lua
securePasswordKdfAlgoSHA512={_='securePasswordKdfAlgoSHA512', salt='bytes'}

```


